diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/mesh/test/flame/flame-regression.cc ns-3.36/src/mesh/test/flame/flame-regression.cc
--- ns-3.35/src/mesh/test/flame/flame-regression.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/mesh/test/flame/flame-regression.cc	2022-04-30 18:23:58.078734600 -0700
@@ -56,8 +56,8 @@
 void
 FlameRegressionTest::DoRun ()
 {
-  RngSeedManager::SetSeed (12345);
-  RngSeedManager::SetRun (7);
+  RngSeedManager::SetSeed (1);
+  RngSeedManager::SetRun (1);
   CreateNodes ();
   CreateDevices ();
   InstallApplications ();
@@ -80,7 +80,7 @@
   mobility.SetPositionAllocator ("ns3::GridPositionAllocator",
                                  "MinX", DoubleValue (0.0),
                                  "MinY", DoubleValue (0.0),
-                                 "DeltaX", DoubleValue (150),
+                                 "DeltaX", DoubleValue (120),
                                  "DeltaY", DoubleValue (0),
                                  "GridWidth", UintegerValue (3),
                                  "LayoutType", StringValue ("RowFirst"));
@@ -99,6 +99,8 @@
   YansWifiChannelHelper wifiChannel = YansWifiChannelHelper::Default ();
   Ptr<YansWifiChannel> chan = wifiChannel.Create ();
   wifiPhy.SetChannel (chan);
+  // This test predates the preamble detection model
+  wifiPhy.DisablePreambleDetectionModel ();
 
   // 2. setup mesh
   MeshHelper mesh = MeshHelper::Default ();
@@ -106,12 +108,12 @@
   mesh.SetMacType ("RandomStart", TimeValue (Seconds (0.1)));
   mesh.SetNumberOfInterfaces (1);
   NetDeviceContainer meshDevices = mesh.Install (wifiPhy, *m_nodes);
-  // Three devices, seven streams per device
+  // Three devices, eight streams per device
   streamsUsed += mesh.AssignStreams (meshDevices, streamsUsed);
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (meshDevices.GetN () * 7), "Stream assignment unexpected value");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (meshDevices.GetN () * 8), "Stream assignment unexpected value");
   // No further streams used in the default wifi channel configuration
   streamsUsed += wifiChannel.AssignStreams (chan, streamsUsed);
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (meshDevices.GetN () * 7), "Stream assignment unexpected value");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (meshDevices.GetN () * 8), "Stream assignment unexpected value");
   // 3. setup TCP/IP
   InternetStackHelper internetStack;
   internetStack.Install (*m_nodes);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/mesh/test/flame/flame-regression.h ns-3.36/src/mesh/test/flame/flame-regression.h
--- ns-3.35/src/mesh/test/flame/flame-regression.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/mesh/test/flame/flame-regression.h	2022-04-30 18:23:58.078734600 -0700
@@ -40,6 +40,7 @@
  * <-----------|----------->   Broadcast frame
  *             |----------->|  Unicast frame
  *           Source                   Destination
+ * (node ID)   2            1            0
  * <-----------|----------->|            |             ARP request
  *             |<-----------|----------->|             ARP request
  *             |            |<-----------|             ARP reply
